Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 566378 (gnome-3.18-stable) - Gnome 3.18 stable request
Summary: Gnome 3.18 stable request
Status: RESOLVED FIXED
Alias: gnome-3.18-stable
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: STABLEREQ
: 569306 569510 569726 (view as bug list)
Depends on: 522706 538640 559062 566380 568352 568412 568744 568748 568750 568786 568790 568798 569304 569306 569510 569522 569534 569536 569726 570090 570378 570648 571270 572964 573456 573458 574706
Blocks: CVE-2015-7096, CVE-2015-7098 574380
  Show dependency tree
 
Reported: 2015-11-21 12:44 UTC by Pacho Ramos
Modified: 2016-07-03 19:41 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
list (lista,28.30 KB, text/plain)
2016-01-31 11:50 UTC, Pacho Ramos
Details
list (lista,28.30 KB, text/plain)
2016-01-31 19:49 UTC, Pacho Ramos
Details
list (lista,28.30 KB, text/plain)
2016-02-01 20:26 UTC, Pacho Ramos
Details
lista (lista,28.82 KB, text/plain)
2016-02-20 13:55 UTC, Pacho Ramos
Details
lista (lista,29.01 KB, text/plain)
2016-02-21 09:36 UTC, Pacho Ramos
Details
lista (lista,29.01 KB, text/plain)
2016-02-28 12:00 UTC, Pacho Ramos
Details
lista (lista,29.01 KB, text/plain)
2016-03-01 05:21 UTC, Alexandre Rostovtsev (RETIRED)
Details
lista (lista,29.01 KB, text/plain)
2016-03-06 03:40 UTC, Alexandre Rostovtsev (RETIRED)
Details
lista (lista,29.01 KB, text/plain)
2016-05-02 02:10 UTC, Alexandre Rostovtsev (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2015-11-21 12:44:51 UTC
For tracking purposes
Comment 1 Pacho Ramos gentoo-dev 2016-01-31 10:19:29 UTC
*** Bug 569306 has been marked as a duplicate of this bug. ***
Comment 2 Pacho Ramos gentoo-dev 2016-01-31 10:20:28 UTC
*** Bug 569510 has been marked as a duplicate of this bug. ***
Comment 3 Pacho Ramos gentoo-dev 2016-01-31 10:21:23 UTC
*** Bug 569726 has been marked as a duplicate of this bug. ***
Comment 4 Pacho Ramos gentoo-dev 2016-01-31 11:50:37 UTC
Created attachment 424300 [details]
list
Comment 5 Pacho Ramos gentoo-dev 2016-01-31 19:49:40 UTC
Created attachment 424364 [details]
list
Comment 6 Pacho Ramos gentoo-dev 2016-02-01 20:26:41 UTC
Created attachment 424422 [details]
list
Comment 7 Pacho Ramos gentoo-dev 2016-02-20 13:55:51 UTC
Created attachment 425986 [details]
lista
Comment 8 Pacho Ramos gentoo-dev 2016-02-21 09:36:38 UTC
Created attachment 426052 [details]
lista
Comment 9 Pacho Ramos gentoo-dev 2016-02-21 16:13:03 UTC
amd64 stable
Comment 10 Pacho Ramos gentoo-dev 2016-02-21 17:48:29 UTC
Well, it looks to be imposible to push the changes as , while it is rebasing, something is committed and I need to repeat :S

Were this the advantages of git? :S

Enough for today
Comment 11 Markus Meier gentoo-dev 2016-02-21 18:54:23 UTC
The following atoms do not exist from your list:
=app-text/iso-codes-3.65
=dev-cpp/mm-common-0.9.10
=dev-libs/appstream-glib-0.5.9
=gnome-base/gvfs-1.26.3
=gnome-extra/libgsf-1.14.36
=media-fonts/cantarell-0.0.22
=x11-libs/libwnck-3.14.1
Comment 12 Pacho Ramos gentoo-dev 2016-02-21 22:58:52 UTC
is your tree updated? For example:
https://gitweb.gentoo.org/repo/gentoo.git/tree/app-text/iso-codes

:/
Comment 13 Pacho Ramos gentoo-dev 2016-02-21 23:46:19 UTC
amd64 stable
Comment 14 Matt Turner gentoo-dev 2016-02-22 08:11:09 UTC
(In reply to Pacho Ramos from comment #13)
> amd64 stable

You missed gnome-shell.
Comment 15 Pacho Ramos gentoo-dev 2016-02-22 09:06:34 UTC
It is done now, I am unsure why some were missed while rebasing
Comment 16 Pacho Ramos gentoo-dev 2016-02-28 12:00:10 UTC
Created attachment 426880 [details]
lista

Pull in a newer glib revision that fixes a memleak
Comment 17 Alexandre Rostovtsev (RETIRED) gentoo-dev 2016-03-01 05:21:51 UTC
Created attachment 427068 [details]
lista

bump to media-fonts/cantarell-0.0.24 because of bug #575398 (and required for harfbuzz security stabilization in bug #572856)
Comment 18 Alexandre Rostovtsev (RETIRED) gentoo-dev 2016-03-01 05:24:23 UTC
@amd64, please stabilize
=media-fonts/cantarell-0.0.24

(all other amd64 stabilizations in attached list were already finished by Pacho:)
Comment 19 Pacho Ramos gentoo-dev 2016-03-05 09:36:45 UTC
amd64 stable
Comment 20 Alexandre Rostovtsev (RETIRED) gentoo-dev 2016-03-06 03:40:03 UTC
Created attachment 427546 [details]
lista

bump to dev-libs/libgit2-glib-0.23.10-r1 because of bug #576550
Comment 21 Pacho Ramos gentoo-dev 2016-03-09 15:45:52 UTC
@Mike, it looks like you did x86 (thanks!) but x86 team is still CCed... was done on purpose? I mean, was the stabilization completed on x86 or is was it interrupted at some point?
Comment 22 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2016-03-12 18:51:30 UTC
(In reply to Pacho Ramos from comment #21)
> @Mike, it looks like you did x86 (thanks!) but x86 team is still CCed... was
> done on purpose? I mean, was the stabilization completed on x86 or is was it
> interrupted at some point?

It was corrupted due to my Internet connection for some days (some gst plugins are left). I will back to it ASAP
Comment 23 Fab 2016-03-16 14:02:33 UTC
Please also stabilize gnome-base/librsvg-2.40.13-r1.
Random crashs on stable desktops are irritating.
See bug #575496.
Comment 24 Pacho Ramos gentoo-dev 2016-04-02 20:40:44 UTC
x86 done
Comment 25 Jeroen Roovers gentoo-dev 2016-04-07 10:20:09 UTC
Stable for HPPA PPC64. I think.
Comment 26 Alexandre Rostovtsev (RETIRED) gentoo-dev 2016-05-02 02:10:18 UTC
Created attachment 432892 [details]
lista

bump to dev-libs/glib-2.46.2-r3 because of bug #577686
Comment 27 Markus Meier gentoo-dev 2016-05-03 20:57:53 UTC
arm stable
Comment 28 Pacho Ramos gentoo-dev 2016-05-29 21:10:41 UTC
Pending arches, please jump to bug 584468